searchNodes=[{"doc":"Local time support for Nerves devicesThe nerves_time_zones application provides support for local time on Nerves devices. It does this by bundling a time zone database that's compatible with the zoneinfo library and providing logic to set the local time zone with the C runtime (and hence Erlang and Elixir).To use, call NervesTimeZones.set_time_zone/1 with the any IANA time zone name (e.g., &quot;America/New_York&quot;). The time zone will be persisted so you won't need to set it again. It is safe to always set it on boot if your project will always be located in one time zone.After this, calls to NaiveDateTime.local_now/1 will return the local time. If you would prefer DateTime struct, call DateTime.now(NervesTimeZones.get_time_zone()).If running a non-BEAM program that is time zone aware, you may need to set environment variables for it to work right. See NervesTimeZones.tz_environment/0 for the proper settings.","ref":"NervesTimeZones.html","title":"NervesTimeZones","type":"module"},{"doc":"Return the current local time zone","ref":"NervesTimeZones.html#get_time_zone/0","title":"NervesTimeZones.get_time_zone/0","type":"function"},{"doc":"Set the local time zoneOnly known time zone names can be set. Others will return an error. &quot;Etc/UTC&quot; should always be available.This time zone will be persisted and restored after a reboot.","ref":"NervesTimeZones.html#set_time_zone/1","title":"NervesTimeZones.set_time_zone/1","type":"function"},{"doc":"Return all known time zonesThis function scans the time zone database each time it's called. It's not slow, but if you just need to verify whether a time zone exists, call valid_time_zone?/1 instead.","ref":"NervesTimeZones.html#time_zones/0","title":"NervesTimeZones.time_zones/0","type":"function"},{"doc":"Return environment variables for running OS processesIf you're using System.cmd/3 to start an OS process that is time zone aware, call this to set the environment appropriately. For example, System.cmd(&quot;my_program&quot;, [], env: NervesTimeZones.tz_environment())","ref":"NervesTimeZones.html#tz_environment/0","title":"NervesTimeZones.tz_environment/0","type":"function"},{"doc":"Return whether a time zone is valid","ref":"NervesTimeZones.html#valid_time_zone?/1","title":"NervesTimeZones.valid_time_zone?/1","type":"function"},{"doc":"NervesTimeZones Local time and time zones for Nerves devicesNervesTimeZones provides a way of managing local time on embedded devices. It provides the following:Set your time zone and have it be used for local time calls like NaiveDateTime.local_now/0Set up Elixir's Calendar time zone database using zoneinfoProvide a small time zone database appropriate for many embedded devicesIt does not support the automatic update of the time zone database like tzdata and tz. For now, you'll need to build a new version of the nerves_time_zones package.The primary motivation for creating this library was to reduce the size of the time zone database. tzdata and tz both work by compiling the IANA database to an internal format. At the time, tzdata compiled to a 3.5 MB ets table (~600 KB gzip compressed) and tz compiled to a 300 KB beam file (~250 KB gzip compressed). Using TZif files (the /usr/share/zoneinfo ones) and 10 years of time zone records for all time zones resulted in about 450 KB of data (~16 KB gzip compressed).","ref":"readme.html","title":"NervesTimeZones","type":"extras"},{"doc":"If available in Hex, the package can be installed by adding nerves_time_zones to your list of dependencies in mix.exs:def deps do [ {:nerves_time_zones, &quot;~&gt; 0.1.0&quot;} ] endDocumentation can be generated with ExDoc and published on HexDocs. Once published, the docs can be found at https://hexdocs.pm/nerves_time_zones.","ref":"readme.html#installation","title":"NervesTimeZones - Installation","type":"extras"},{"doc":"NervesTimeZones pulls data from the IANA time zone database and compiles it to TZif files using zic(8). This is the same process used to create the files under /usr/share/zoneinfo. The difference is that those contain time period records 50 years or more in the past and over 15 years to the future. NervesTimeZones limits the range substantially to reduce the database size.Since the main embedded use cases for time zone information are to show the time and schedule events in the local time, having past time zone information is not needed. This saves a ton of space, since time zones changed a lot in the 20th century.The second part of the library is a NIF that updates the C runtime's local time zone setting. This setting also affects Erlang's and Elixir's local time functions like NaiveDateTime.local_now/0 as well. The NIF is trivially short and calls tzset(3) with the TZif file. Unfortunately, the way to pass the time zone is via the TZ environment variable, so if TZ previously pointed to anything before this library runs, it won't afterwards.","ref":"readme.html#how-it-works","title":"NervesTimeZones - How it works","type":"extras"},{"doc":"Changelog","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"Initial release to hex.","ref":"changelog.html#v0-1-0","title":"Changelog - v0.1.0","type":"extras"}]